﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;//

namespace SmartIIS
{
    public partial class Main : Form
    {
        public Main()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 浏览目录
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button1_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog folderBrowserDialog1=new FolderBrowserDialog ();
            folderBrowserDialog1.RootFolder = Environment.SpecialFolder.MyComputer;
            if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
            {
               textBox1.Text= folderBrowserDialog1.SelectedPath;

               //提示
               listBox1.Items.Add("["+DateTime.Now.ToShortTimeString() + "]  打开目录：" + textBox1.Text);
            }
        }

        /// <summary>
        /// 启动服务
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button2_Click(object sender, EventArgs e)
        {
            //从Visual Studio 中提取的两个文件：WebDev.WebHost.dll ， WebDev.WebServer20.EXE
            //执行CMD命令（\"为双引号的转义符），即：WebDev.WebServer20.EXE /port:端口号 /path:"文件物理路径" /vpath:"/"
            String str ="WebDev.WebServer20.EXE  /port:"+textBox2.Text+" /path:\""+ textBox1.Text+"\" /vpath:\"/\"";
            RunCmd (str);

            //提示
            linkLabel1.Text = "http://localhost:" + textBox2.Text;
            listBox1.Items.Add("[" + DateTime.Now.ToShortTimeString() + "]  服务已启动......");
        }

        /// <summary>
        /// 运行CMD命令
        /// </summary>
        /// <param name="command"></param>
        /// <returns></returns>
        private void  RunCmd(string command)
        {
            try
            {
                //实例一个Process类，启动一个独立进程
                Process p = new Process();
                //Process类有一个StartInfo属性，这个是ProcessStartInfo类，包括了一些属性和方法，下面我们用到了他的几个属性：
                p.StartInfo.FileName = "cmd.exe";           //设定程序名
                p.StartInfo.Arguments = "/c " + command;    //设定程式执行参数
                p.StartInfo.UseShellExecute = false;        //关闭Shell的使用
                p.StartInfo.RedirectStandardInput = true;   //重定向标准输入
                p.StartInfo.RedirectStandardOutput = true;  //重定向标准输出
                p.StartInfo.RedirectStandardError = true;   //重定向错误输出
                p.StartInfo.CreateNoWindow = true;          //设置不显示窗口
                p.Start();   //启动
            }
            catch
            { }
        }

        /// <summary>
        /// 关闭服务器的进程
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button3_Click(object sender, EventArgs e)
        {
            try
            {
                Process[] myProcesses = Process.GetProcesses();
                foreach (Process myProcess in myProcesses)
                {
                    if ("WebDev.WebServer20" == myProcess.ProcessName)
                    {
                        myProcess.Kill();

                        //提示
                        listBox1.Items.Add("[" + DateTime.Now.ToShortTimeString() + "]  服务已关闭");
                    }
                }
            }
            catch
            { }
        }

        /// <summary>
        /// 打开目录
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button4_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start(textBox1.Text);
            }
            catch
            { }

            //提示
            listBox1.Items.Add("[" + DateTime.Now.ToShortTimeString() + "]  正在浏览网站目录");
        }

        /// <summary>
        /// 打开网站
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button5_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start(linkLabel1.Text);
            }
            catch
            { }

            //提示
            listBox1.Items.Add("[" + DateTime.Now.ToShortTimeString() + "]  正在浏览网站");
        }
    }
}
